<div id="comments">

<!-- You can start editing here. -->
<?php $this->comments()->to($comments); ?>
	<h3><?php $this->commentsNum('No Comment Yet', 'One Comment', '%d Comments' );?></h3>

	<?php if ($comments->have()) : ?>
	<ol id="comment_list">
	<?php while ($comments->next()) : ?>
	<li id="<?php $comments->theId() ?>">
		<div class="comment_data">
			<?php $comments->gravatar(32, '', '', 'avatar'); ?>
			<span><?php $comments->author() ?></span> Says:<br />
			<p><?php $comments->date('F jS, Y'); ?> at <?php $comments->date('h:i a'); ?></p>
		</div>
		<div class="clear"></div>
		<div class="comment_text"><?php $comments->content() ?></div>
	</li>
	<?php endwhile; ?>
	</ol>

	<?php else : // this is displayed if there are no comments so far ?>
		<?php if ($this->allow('comment')) : ?>
			<!-- If comments are open, but there are no comments. -->
		<?php else : // comments are closed ?>
			<!-- If comments are closed. -->
			<p class="nocomments">Comments are closed.</p>
		<?php endif; ?>
	<?php endif; ?>


	<?php if($this->allow('comment')): ?>
	<h3 id="postcomment">Leave a comment</h3>

	<form action="<?php $this->commentUrl() ?>" method="post" id="comment_form">
	<?php if($this->user->hasLogin()): ?>
		<p>Logged in as <a href="<?php $this->options->adminUrl(); ?>"><?php $this->user->screenName(); ?></a>. <a href="<?php $this->options->logoutUrl(); ?>" title="Logout"><?php _e('Logout'); ?> &raquo;</a></p>
    <?php else: ?>
		<p><input type="text" name="author" id="author" value="<?php $this->remember('author'); ?>" class="text" /><label for="author">Name (required)</label></p>
		<p><input type="text" name="mail" id="mail" value="<?php $this->remember('mail'); ?>" class="text" /><label for="mail">Email (required, will not be published)</label></p>
		<p><input type="text" name="url" id="url" value="<?php $this->remember('url'); ?>" class="text" /><label for="url">Website</label></p>
	<?php endif; ?>
		<p><textarea name="text" id="text" tabindex="4" ><?php $this->remember('text'); ?></textarea></p>
		<p><input type="submit" value="Submit Comment" class="submit" /></p>
	</form>

	<?php endif; ?>

</div><!-- end #comments -->
